#
# spec file for package 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           xnecview
Version:	1.36
Release:	1.3
License:	GPL-2.0
Summary:	Visualise NEC2 input and output data
Url:		http://wwwhome.cs.utwente.nl/~ptdeboer/ham/xnecview/
Group:		Productivity/Hamradio/Other
Source:		http://wwwhome.cs.utwente.nl/~ptdeboer/ham/%{name}/%{name}-%{version}.tgz
Patch:		png-use-accessor
Patch2:		fix-linkage
Patch3:		fortify-decl
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libpng)
Provides:	nec-viewer
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xnecview is a program for visualising the input and output files
of the NEC antenna simulation software.

%prep
%setup -q
%patch -p1
%patch2 -p1
%patch3 -p1

%build
make OPTFLAGS="%optflags" %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_mandir}
cp -p %{name} %{buildroot}/%{_bindir}/.
cp -p %{name}.1x %{buildroot}/%{_mandir}/.
gzip -9 %{buildroot}/%{_mandir}/%{name}.1x

%files
%defattr(-,root,root)
%doc HISTORY README COPYING
%{_bindir}/%{name}
%{_mandir}/%{name}.1*

%changelog
* Fri Nov 28 2014 duwe@suse.com
- initial checkin
